كيف تصدق أنك تستخدم متصفح ويب آخر

يبدو متشابكًا جدًا ، أليس كذلك؟ في الواقع ، ليس كذلك. هناك مواقف عندما تطلب منا صفحة أو خدمة استخدام متصفح معين أو إصدار معين من المتصفح.

بالنسبة لي ، على سبيل المثال ، في العمل لا بد لي من استخدام Firefox 2.5 (كذا) عند استخدام تطبيق معين. هذا يعني أنه يتعين علي استخدام إصدار قديم تمامًا من Firefox. نظرًا لأنني لا أحب ذلك ، فقد وجدت طريقة لمواصلة استخدام Firefox 4 الخاص بي ولكن جعل الجهاز يعتقد أنني أستخدم Firefox 2.5 القديم. تعمل نفس الطريقة مع Chrome / Chromium. يمكننا جعل النظام يعتقد أننا نستخدم Firefox 2.5 بينما في الواقع نستخدم أحدث إصدار من Chrome / Chromium.

دعونا نرى كيف نفعل ذلك ...


مثل كل شيء تقريبًا في الحياة: هذا سهل للغاية ، لكن عليك أن تعرف كيف تفعل ذلك. في هذه الحالة ، تنطبق قاعدة أخرى من المبادئ العظيمة للحياة: إنها سهلة للغاية ، لكن عليك أن تعرف كيف تبحث عن دليل يخبرك بكيفية القيام بذلك.

صدقني عندما أقول أن العبارة السحرية في هذه الحالة هي "User Agent". لم يخطر ببالهم أبدًا أن يكتبوا شيئًا مثل هذا للعثور على معلومات حول هذا الموضوع ، ولا حتى لأولئك الذين يجيدون اللغة الإنجليزية. النقطة المهمة هي أنه بمجرد كتابة ذلك في Google ، فإن الأدلة والصفحات ذات الصلة ستمطر.

فكيف نغير وكيل المستخدم لدينا؟

برنامج فايرفوكس

1.- كتبت حول: التكوين في شريط العنوان.

2.- اضغط على الزر الأيمن واختر جديد> سلسلة (جديد> سلسلة). كتبت "عام. متخلف"، بدون اقتباس. ثم أدخل قيمة المتصفح الذي تريد محاكاته. للحصول على قائمة كاملة ، أوصيك بزيارة هذا سيتيو.

تامبين موجود ملحقات لفايرفوكس تسمح لك بتغيير وكيل المستخدم الخاص بك بسهولة بالغة. يمكن أن يكون هذا مفيدًا جدًا إذا كنت بحاجة إلى تبديل وكيل المستخدم كثيرًا.

كروم / الكروم

لا توجد طريقة "يدوية" لتغيير وكيل المستخدم في Chrome / Chromium. للقيام بذلك ، يجب عليك تحرير الملفات الثنائية ، وهي ليست ممارسة سعيدة وبسيطة للغاية.

لذلك ، فإن الخيار الأفضل هو استخدام امتدادات Chrome / Chromium التي تتيح لك تغيير وكيل المستخدم الخاص بك بسهولة بالغة. يمكن أن يكون هذا مفيدًا جدًا إذا كنت بحاجة إلى تبديل وكيل المستخدم كثيرًا.

للتحقق من عمل التغييرات ، أوصيك بزيارة هذا الموقع الذي سيظهر فيه وكيل المستخدم الخاص بك.


محتوى المقال يلتزم بمبادئنا أخلاقيات التحرير. للإبلاغ عن خطأ انقر فوق هنا.

10 تعليقات ، اترك لك

اترك تعليقك

لن يتم نشر عنوان بريدك الإلكتروني. الحقول الإلزامية مشار إليها ب *

*

*

  1. المسؤول عن البيانات: ميغيل أنخيل جاتون
  2. الغرض من البيانات: التحكم في الرسائل الاقتحامية ، وإدارة التعليقات.
  3. الشرعية: موافقتك
  4. توصيل البيانات: لن يتم إرسال البيانات إلى أطراف ثالثة إلا بموجب التزام قانوني.
  5. تخزين البيانات: قاعدة البيانات التي تستضيفها شركة Occentus Networks (الاتحاد الأوروبي)
  6. الحقوق: يمكنك في أي وقت تقييد معلوماتك واستعادتها وحذفها.

  1.   لنستخدم لينكس قال

    هذا يعني أنه يعمل. 🙂
    حاول استخدام وكيل مستخدم من Internet Explorer 7 أو أعلى.
    في صحتك! بول.

  2.   أليخاندرو أوليفاريس راميريز قال

    يقول أنه غير متوفر لمنصتي (Linux) كما أنه لا يعمل مع Firefox 4 أيضًا.

    سأستمر في البحث عن شيء مشابه ، شكرًا على أي حال للرد السريع 😉

  3.   هاري قال

    Maxthom ، على الرغم من كونه مستعرضًا لنظام Windows فقط ، فإنه يجلب هذه الوظيفة افتراضيًا ، إلا أنني اختبرتها ولم أفعل شيئًا وفوجئت بسرور ، إذا كان في نسخته الثالثة

  4.   eM Di eM قال

    أفتقد بيانات IE التي يجب أن أستخدمها IE لأن الشركة شريك Microsoft وكل شيء يعمل بناءً على منتجاتها ، حسنًا ، سيكون مجبرًا على استخدام متصفحين مختلفين (ولا أستخدم هذين المستعرضين) xD

  5.   كسيريس قال

    بالأمس فقط نشرت منشورًا متعلقًا بهذا في humanOS ... حقًا بالنسبة إلى Chrome / Chromium ، فأنت لست بحاجة إلى تعديل الثنائي! مجرد إضافة المعلمة –user-agent = »User Agent» إلى المشغل الخاص بك ... في حالة Chrome 11 على نظام التشغيل Linux ، سيكون شيئًا من هذا القبيل ما سيبقى في مشغل Chrome:

    / opt / google / chrome / google-chrome٪ U –user-agent = »Mozilla / 5.0 (X11؛ U؛ Linux i686؛ en-US) AppleWebKit / 534.16 (KHTML ، مثل Gecko) Ubuntu / 10.10 Chrome / 11.0.696.50 سفاري / 534.16 ″

    إذا كنت تريد المزيد من المعلومات ، يمكنك التوقف هنا! http://comunidades.uci.cu/blogs/humanOS/2011/04/27/chrome-y-firefox-modifica-tu-user-agent/

  6.   كسيريس قال

    لا مشكلة ، نحن هنا للمشاركة !!!

    تحية طيبة وبعد

  7.   ديفيد قال

    لقد جربته مع Hotmail و Youtube وأخبرني أن لدي متصفحًا أبوسوليتو (استخدمت Internet Explorer 4.0 User Agent على Arch Linux)

  8.   أليخاندرو أوليفاريس راميريز قال

    أنضم إلى ما تطلبه eM Di eM.

    أحتاج إلى أن أكون قادرًا على استخدام IE على نظام Linux الخاص بي.
    نأمل أن يقدموا تعليميًا حول كيفية القيام بذلك.

  9.   بيتو قال

    يبدو أنها عملت بشكل جيد ، شكرا

  10.   الموجه الهرتزى قال

    اختبار…

    09867564